Search Users
GET/api/v5/search/users
Request
Query Parameters
access_token string
User authorization code
page integer
Current page number, maximum is 100.
per_page integer
The number of items per page, with a maximum of 50.
q stringrequired
Search keyword
sort string
sort_field: The sorting field,可以选择 joined_at (registration time), with the default being the best match.
order string
Sort order (default: desc)
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- 1
- 2
Schema
- Array [
- ]
avatar_urlstring
created_atstring
html_urlstring
idstring
loginstring
namestring
[
{
"avatar_url": "string",
"created_at": "string",
"html_url": "string",
"id": "string",
"login": "string",
"name": "string"
}
]
Successful Example
{
"avatar_url": "https://cdn-img.gitcode.com/bb/bf/b1b0bff5bafab700603248485bc4a236061f84433741855a9ce8b0c42c8.png",
"created_at": "2024-11-15T00:00:00+08:00",
"html_url": "https://gitcode.com/wu_com",
"id": "25235036",
"login": "wu_com",
"name": "wu_com"
}
Successful Example
{
"avatar_url": "https://cdn-img.gitcode.com/ad/ec/a8670853d9137e2c34efbc14904985a7cc5998929bfebca9ceb8626e170.png",
"created_at": "2024-11-15T00:00:00+08:00",
"html_url": "https://gitcode.com/wu5567488",
"id": "25153392",
"login": "wu5567488",
"name": "wu5567488"
}